Lucene - Core
  1. Lucene - Core
  2. LUCENE-2240

SimpleAnalyzer and WhitespaceAnalyzer should have Version ctors

    Details

    • Type: Task Task
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 3.1
    • Fix Version/s: 4.0-ALPHA
    • Component/s: modules/analysis
    • Labels:
      None
    • Lucene Fields:
      New, Patch Available

      Description

      Due to the Changes to CharTokenizer ( LUCENE-2183 ) WhitespaceAnalyzer and SimpleAnalyzer need a Version ctor. Default ctors must be deprecated

      1. LUCENE-2240.patch
        4 kB
        Simon Willnauer

        Issue Links

          Activity

            People

            • Assignee:
              Uwe Schindler
              Reporter:
              Simon Willnauer
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development